အကြောင်းအရာသို့ ကျော်ရန်

Hi3D Image to 3D

ပေါင်းစည်းရန်

မော်ဒယ် id hitem3d/hi3d/image-to-3d
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hitem3d/hi3d/image-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်: ≈၀.၅၀ $ ၅၀၀ API ခရက်ဒစ် · ≈ ၅၃.၆၆ ₽ ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
Hitem3D ပုံမှ 3D #image-to-3d#3d#mesh

ရွေးချယ်နိုင်သော Hitem3D ဗားရှင်းများ၊ ပုံတူမူကွဲများနှင့် ထုတ်ယူဖော်မတ်များစွာပါသော ပုံတစ်ပုံမှ 3D မက်ရှ်

Hitem3D · 3D

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည် image_url
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

ထည့်သွင်းပုံကို URL မှတစ်ဆင့် PNG, JPEG သို့မဟုတ် 20 MB ထက်မကြီးသော WebP ဖိုင်အဖြစ် ပေးပါ။

resolution

မူလတန်ဖိုးအဖြစ် မော်ဒယ်၏ အကြံပြုချက်ကို အသုံးပြုသည့် ဖန်တီးမှု ရုပ်ထွက်အရည်အသွေး: v1.5/v2.0 အတွက် 1024 နှင့် အခြားအခြေအနေများတွင် fast tier ဖြစ်သည်။ v1.5/v2.0 အတွက် ရွေးချယ်စရာများမှာ 512, 1024, 1536 နှင့် 1536pro; v2.1 အတွက် 1536fast နှင့် 1536pro; scene-portraitv1.5 အတွက် 1536; scene-portraitv2.0 အတွက် 1536pro; scene-portraitv2.1 အတွက် 1536profast နှင့် 1536pro ဖြစ်သည်။

အဆင့်မြင့် model · export_format · face_count · enable_texture · enable_pbr · enable_safety_checker
model မူလ hitem3dv2.1

ဖန်တီးမှု မော်ဒယ်ရွေးချယ်မှု: ပုံတူနှင့် ဇာတ်ကောင်အတွက် ချိန်ညှိထားသော 'scene-portrait*' အုပ်စု သို့မဟုတ် အထွေထွေသုံး 'hitem3d*' အုပ်စုမှ ရွေးချယ်ပါ။

export_format မူလ glb

ဖန်တီးထားသော မော်ဒယ်ကို သိမ်းဆည်းရန် အသုံးပြုသည့် ဖော်မတ်။

ဖန်တီးထားသော မော်ဒယ်အတွက် လိုချင်သော မျက်နှာပြင်အရေအတွက်၊ partner ၏ ရုပ်ထွက်အရည်အသွေးအခြေပြု အကြံပြုချက်ကို အစားထိုးသည်။ မထည့်ပါက partner က အကြံပြုချက်ကို ရွေးချယ်သည်၊ ဥပမာ 512 တွင် 500k၊ 1024 တွင် 1M သို့မဟုတ် 1536 တွင် 2M။

POST /run/hitem3d/hi3d/image-to-3d?wait=20 ကုန်ကျစရိတ် → ၀.၅၀ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hitem3d/hi3d/image-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Hi3D Image to 3D အကြောင်း

ပုံတစ်ပုံ (PNG၊ JPEG သို့မဟုတ် WebP၊ 20MB အထိ) မှ 3D မော်ဒယ်ကို တည်ဆောက်သည်။ `model` ရွေးချယ်စရာတွင် အထွေထွေနှင့် ပုံတူအတွက် ချိန်ညှိထားသော ဗားရှင်းများ ပါဝင်ပြီး ခွင့်ပြုထားသော `resolution` တန်ဖိုးများသည် ၎င်းအပေါ် မူတည်သည်။ မျက်နှာပြင်အသားပေးနှင့် PBR မြေပုံများကို ဖွင့်/ပိတ်နိုင်သည်။ `face_count` သည် 100,000 မှ 2,000,000 အထိဖြစ်ပြီး ထုတ်ယူဖော်မတ်မှာ glb၊ obj၊ stl၊ fbx သို့မဟုတ် usdz ဖြစ်သည်။

ပါရာမီတာများ

စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
modelရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးhitem3dv2.1
hitem3dv1.5hitem3dv2.0hitem3dv2.1scene-portraitv1.5scene-portraitv2.0scene-portraitv2.1
ဖန်တီးမှု မော်ဒယ်ရွေးချယ်မှု: ပုံတူနှင့် ဇာတ်ကောင်အတွက် ချိန်ညှိထားသော 'scene-portrait*' အုပ်စု သို့မဟုတ် အထွေထွေသုံး 'hitem3d*' အုပ်စုမှ ရွေးချယ်ပါ။
resolutionရွေးချယ်နိုင်သည်
အမျိုးအစားenum
512102415361536pro1536fast1536profast
မူလတန်ဖိုးအဖြစ် မော်ဒယ်၏ အကြံပြုချက်ကို အသုံးပြုသည့် ဖန်တီးမှု ရုပ်ထွက်အရည်အသွေး: v1.5/v2.0 အတွက် 1024 နှင့် အခြားအခြေအနေများတွင် fast tier ဖြစ်သည်။ v1.5/v2.0 အတွက် ရွေးချယ်စရာများမှာ 512, 1024, 1536 နှင့် 1536pro; v2.1 အတွက် 1536fast နှင့် 1536pro; scene-portraitv1.5 အတွက် 1536; scene-portraitv2.0 အတွက် 1536pro; scene-portraitv2.1 အတွက် 1536profast နှင့် 1536pro ဖြစ်သည်။
enable_textureရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
ဂျီဩမေတြီနှင့်အတူ texture များ ဖန်တီးမဖန်တီး ထိန်းချုပ်သည်။
enable_pbrရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
texture နှင့်အတူ PBR material map များ ဖန်တီးမဖန်တီး ထိန်းချုပ်သည်။
face_countရွေးချယ်နိုင်သည်
အမျိုးအစားinteger | null
၁၀၀,၀၀၀ – ၂,၀၀၀,၀၀၀
ဖန်တီးထားသော မော်ဒယ်အတွက် လိုချင်သော မျက်နှာပြင်အရေအတွက်၊ partner ၏ ရုပ်ထွက်အရည်အသွေးအခြေပြု အကြံပြုချက်ကို အစားထိုးသည်။ မထည့်ပါက partner က အကြံပြုချက်ကို ရွေးချယ်သည်၊ ဥပမာ 512 တွင် 500k၊ 1024 တွင် 1M သို့မဟုတ် 1536 တွင် 2M။
export_formatရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးglb
glbobjstlfbxusdz
ဖန်တီးထားသော မော်ဒယ်ကို သိမ်းဆည်းရန် အသုံးပြုသည့် ဖော်မတ်။
enable_safety_checkerရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
ထည့်သွင်းပုံများအတွက် ဘေးကင်းလုံခြုံမှု စစ်ဆေးခြင်း toggle: true ဖြစ်ပါက ပုံလုပ်ဆောင်မှု မစတင်မီ ဘေးကင်းလုံခြုံမှု စစ်ဆေးရမည်။
image_urlလိုအပ်သည် image
အမျိုးအစားurl · image
ထည့်သွင်းပုံကို URL မှတစ်ဆင့် PNG, JPEG သို့မဟုတ် 20 MB ထက်မကြီးသော WebP ဖိုင်အဖြစ် ပေးပါ။
လိုအပ်သည် စံအမည်၊ ထို့အပြင် လက်ခံသည်

ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hitem3d/hi3d/image-to-3d",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 500,
    "usd": "0.50",
    "charged": 500,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "thumbnail": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
model_mesh
object {url, content_type, file_name, file_size}ဖန်တီးထားသော 3D မော်ဒယ် ပါဝင်သည့် ဖိုင်။
thumbnail
object {url, content_type, file_name, file_size} | nullရရှိနိုင်ပါက ပေးထားသော မော်ဒယ်ကြိုတင်ကြည့်ရှု ပုံ။

နောက်ထပ် မော်ဒယ်များ: ပုံမှ 3D

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/hitem3d/hi3d/image-to-3d.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt